import * as $dara from '@darabonba/typescript';
export declare class DescribeEipMonitorDataResponseBodyEipMonitorDatasEipMonitorData extends $dara.Model {
    eipBandwidth?: number;
    eipFlow?: number;
    eipPackets?: number;
    eipRX?: number;
    eipTX?: number;
    timeStamp?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeEipMonitorDataResponseBodyEipMonitorDatas extends $dara.Model {
    eipMonitorData?: DescribeEipMonitorDataResponseBodyEipMonitorDatasEipMonitorData[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeEipMonitorDataResponseBody extends $dara.Model {
    eipMonitorDatas?: DescribeEipMonitorDataResponseBodyEipMonitorDatas;
    requestId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
